Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename cli-color
%global enable_tests 0
# tests disabled due to dependency on npm(tad), which hasn't been packaged
# in Fedora, and has a circular dependency on this package

Name:		nodejs-cli-color
Version:	1.1.0
Release:	alt1_7
Summary:	Colors, formatting and other tools for the console

License:	MIT
URL:		https://github.com/medikoo/cli-color.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(ansi-regex)
BuildRequires:	npm(d)
BuildRequires:	npm(es5-ext)
BuildRequires:	npm(es6-iterator)
BuildRequires:	npm(memoizee)
BuildRequires:	npm(timers-ext)
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	node
Source44: import.info

%description
Colors, formatting and other tools for the console


%prep
%setup -q -n package

%nodejs_fixdep d '<2.0.0'
# Use either 0.1.x or 1.x.x versions of npm(d)


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_7
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt0.1.njs.bootstrap
- bootstrap

